GET /api/farcaster/user/{fid}
Farcaster user by FID (Neynar)
Farcaster user profile by FID or username
Endpoint​
GET https://api.web3identity.com/api/farcaster/user/{fid}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
fid | path | string | âś… | Farcaster user ID |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/user/:fid" | jq
Responses​
200 Success​
{
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"pfpUrl": "https://i.imgur.com/aBcDeF.png",
"profile": {
"bio": {
"text": "Building Farcaster"
}
},
"followerCount": 234567,
"followingCount": 1234,
"verifications": [
"0x1234567890123456789012345678901234567890"
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec